Skip to main content
GET
/
v1
/
user
/
{user_id}
/
business
List businesses for a user
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getpalm.com/v1/user/{user_id}/business', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "object": "list",
  "data": [
    "<array>"
  ]
}

Authorizations

Authorization
string
header
required

Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx

Path Parameters

user_id
string
required

User ID

Example:

"palm_usr_1a2b3c4d5e6f7g8h"

Response

List of businesses retrieved successfully

object
enum<string>
required

Object type identifier, always "list"

Available options:
list
Example:

"list"

data
array[]
required

Array of resources